- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- State
- Try it!
Modifies a Pull Request in the remote SCM repository associated with a GitRepositoryLink.
HTTP request
POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:modifyPullRequest
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The GitRepositoryLink resource name in the format |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"pullRequestId": string,
"title": string,
"body": string,
"baseRef": string,
"state": enum ( |
| Fields | |
|---|---|
pullRequestId |
Required. The SCM-specific pull request identifier (for example, "45"). |
title |
Optional. The title of the Pull Request. |
body |
Optional. The body description of the Pull Request. |
baseRef |
Optional. The target branch to merge into. |
state |
Optional. The state of the Pull Request. |
Response body
If successful, the response body contains an instance of PullRequest.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.modifyPullRequest
For more information, see the IAM documentation.
State
State represents the state of the pull request.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Default value. This value is unused. |
OPEN |
The pull request is open. |
CLOSED |
The pull request is closed. |